diff -pruN 1.5.6-1/debian/changelog 1.5.6-2/debian/changelog
--- 1.5.6-1/debian/changelog	2019-07-31 12:34:43.000000000 +0000
+++ 1.5.6-2/debian/changelog	2020-12-01 06:02:00.000000000 +0000
@@ -1,3 +1,17 @@
+circlator (1.5.6-2) unstable; urgency=medium
+
+  * Rewrite autopkgtest
+    Closes: #976100
+  * Depends: canu (instead of Suggests)
+  * Skip some failing tests in autopkgtest
+  * Standards-Version: 4.5.1 (routine-update)
+  * debhelper-compat 13 (routine-update)
+  * Add salsa-ci file (routine-update)
+  * Rules-Requires-Root: no (routine-update)
+  * Set upstream metadata fields: Bug-Database, Bug-Submit.
+
+ -- Andreas Tille <tille@debian.org>  Tue, 01 Dec 2020 07:02:00 +0100
+
 circlator (1.5.6-1) unstable; urgency=medium
 
   * Afif removed himself from Uploaders (thanks for your work on this)
diff -pruN 1.5.6-1/debian/control 1.5.6-2/debian/control
--- 1.5.6-1/debian/control	2019-07-31 12:34:43.000000000 +0000
+++ 1.5.6-2/debian/control	2020-12-01 06:02:00.000000000 +0000
@@ -3,7 +3,7 @@ Maintainer: Debian Med Packaging Team <d
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -18,10 +18,11 @@ Build-Depends: debhelper-compat (= 12),
                bwa (>= 0.7.12),
                prodigal,
                canu (<< 1.8+dfsg-1) | canu (>= 1.8+dfsg-2)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/circlator
 Vcs-Git: https://salsa.debian.org/med-team/circlator.git
 Homepage: http://sanger-pathogens.github.io/circlator/
+Rules-Requires-Root: no
 
 Package: circlator
 Architecture: amd64
@@ -31,8 +32,8 @@ Depends: ${misc:Depends},
          bwa (>= 0.7.12),
          mummer,
          samtools,
-         spades
-Suggests: canu
+         spades,
+         canu
 Description: circularize genome assemblies
  Circlator is a tool to automate assembly circularization for bacterial and
  small eukaryotic genomes and produce accurate linear representations of
diff -pruN 1.5.6-1/debian/docs 1.5.6-2/debian/docs
--- 1.5.6-1/debian/docs	2019-07-31 12:34:43.000000000 +0000
+++ 1.5.6-2/debian/docs	2020-12-01 06:02:00.000000000 +0000
@@ -1 +1,3 @@
 README.md
+debian/tests/run-unit-test
+debian/README.test
diff -pruN 1.5.6-1/debian/examples 1.5.6-2/debian/examples
--- 1.5.6-1/debian/examples	1970-01-01 00:00:00.000000000 +0000
+++ 1.5.6-2/debian/examples	2020-12-01 06:02:00.000000000 +0000
@@ -0,0 +1,2 @@
+circlator/tests/*.py
+circlator/tests/data
diff -pruN 1.5.6-1/debian/README.test 1.5.6-2/debian/README.test
--- 1.5.6-1/debian/README.test	1970-01-01 00:00:00.000000000 +0000
+++ 1.5.6-2/debian/README.test	2020-12-01 06:02:00.000000000 +0000
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.
diff -pruN 1.5.6-1/debian/rules 1.5.6-2/debian/rules
--- 1.5.6-1/debian/rules	2019-07-31 12:34:43.000000000 +0000
+++ 1.5.6-2/debian/rules	2020-12-01 06:02:00.000000000 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 #DH_VERBOSE = 1
-#include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/default.mk
 
 export LC_ALL=C.UTF-8
 
@@ -12,3 +12,7 @@ override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR) nosetests3 -v --where=circlator/tests
 endif
+
+override_dh_installexamples:
+	dh_installexamples
+	cd debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples && tar caf data.tar.xz data && rm -rf data
diff -pruN 1.5.6-1/debian/salsa-ci.yml 1.5.6-2/debian/salsa-ci.yml
--- 1.5.6-1/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 1.5.6-2/debian/salsa-ci.yml	2020-12-01 06:02:00.000000000 +0000
@@ -0,0 +1,4 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
diff -pruN 1.5.6-1/debian/tests/control 1.5.6-2/debian/tests/control
--- 1.5.6-1/debian/tests/control	2019-07-31 12:34:43.000000000 +0000
+++ 1.5.6-2/debian/tests/control	2020-12-01 06:02:00.000000000 +0000
@@ -1,2 +1,3 @@
-Test-Command: cd $ADTTMP && circlator test test-dir
+Tests: run-unit-test
+Depends: @, python3-nose
 Restrictions: allow-stderr
diff -pruN 1.5.6-1/debian/tests/run-unit-test 1.5.6-2/debian/tests/run-unit-test
--- 1.5.6-1/debian/tests/run-unit-test	1970-01-01 00:00:00.000000000 +0000
+++ 1.5.6-2/debian/tests/run-unit-test	2020-12-01 06:02:00.000000000 +0000
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+set -x
+
+pkg=circlator
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+tar xaf data.tar.xz
+sed -i "s/data_dir = os.path.join(modules_dir, 'tests', 'data')/data_dir = os.path.join(os.getcwd(), 'data')/" *.py
+
+nosetests3 -v .
diff -pruN 1.5.6-1/debian/upstream/metadata 1.5.6-2/debian/upstream/metadata
--- 1.5.6-1/debian/upstream/metadata	2019-07-31 12:34:43.000000000 +0000
+++ 1.5.6-2/debian/upstream/metadata	2020-12-01 06:02:00.000000000 +0000
@@ -1,6 +1,12 @@
+Bug-Database: https://github.com/sanger-pathogens/circlator/issues
+Bug-Submit: https://github.com/sanger-pathogens/circlator/issues/new
 Reference:
-  Author: Martin Hunt and Nishadi De Silva and Thomas D. Otto and Julian Parkhill and Jacqueline A. Keane and Simon R. Harris
-  Title: "Circlator: automated circularization of genome assemblies using long sequencing reads"
+  Author: >
+   Martin Hunt and Nishadi De Silva and Thomas D. Otto and Julian Parkhill and
+   Jacqueline A. Keane and Simon R. Harris
+  Title: >
+   Circlator: automated circularization of genome assemblies using
+   long sequencing reads
   Journal: Genome Biology
   Year: 2015
   Volume: 29
@@ -15,4 +21,6 @@ Registry:
   - Name: bio.tools
     Entry: NA
   - Name: SciCrunch
-    Entry: SCR_016058
\ No newline at end of file
+    Entry: SCR_016058
+  - Name: conda:bioconda
+    Entry: circlator
